#!/bin/sh

if [ $UID != 0  ]; then
echo "Dieses Script muss als \"root\" ausgeführt werden!"
exit 1
fi

if [ "$1" = "" ] ; then
 echo "Kein User angegeben!"
 echo "Benutzung: ./install <USER>"
 exit 1
else
 INSTUSER=$1
fi

echo "Richte \"dislay_dsl_rate\" ein..."

#$USER=`whoami`
#echo "Ich bin: $USER"

echo "Kopiere display_dsl_rate.sh"
cp display_dsl_rate.sh /home/$INSTUSER/bin/
chown $INSTUSER:users /home/$INSTUSER/bin/display_dsl_rate.sh
mkdir /home/$INSTUSER/.display_dsl_rate
chown $INSTUSER:users /home/$INSTUSER/.display_dsl_rate
echo "Kopiere lcd.png"
cp lcd.png /home/$INSTUSER/.display_dsl_rate/
chown $INSTUSER:users /home/$INSTUSER/.display_dsl_rate/lcd.png

echo "Installiere \"LCDd.conf\"" 
cp LCDd.conf /usr/local/etc/
echo "Installiere \"lcdvc.conf\""
cp lcdvc.conf /usr/local/etc/
echo "Installiere \"isdn_rate.conf\""
cp isdn_rate.conf /usr/local/etc/

cat << EOF > /home/$INSTUSER/Desktop/display_dsl_rate.desktop
[Desktop Entry]
Comment=
Comment[de]=
Encoding=UTF-8
Exec='/home/$INSTUSER/bin/display_dsl_rate.sh'
GenericName=
GenericName[de]=
Icon=/home/$INSTUSER/.display_dsl_rate/lcd.png
MimeType=
Name=DSL_Rate
Name[de]=DSL_Rate
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
X-DCOP-ServiceType=none
X-KDE-SubstituteUID=false
X-KDE-Username=christoph
X-SuSE-translate=true
EOF

chown $INSTUSER:users /home/$INSTUSER/Desktop/display_dsl_rate.desktop